/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
13/01/2016

This program generates a SERVO signal on pin D11 and D12
up to 12 servo signals can be generated on any other IO pin of the Brainbox Arduino, but D11&D12 already have standard servo connectors

To generate this specific servo signal we make use of the Servo library of Arduino
Most servo's work with signals between 1000msec and 2000msec. That is exactly what the "myservo.write(pos)" instruction does.

Note that some manufactures do not follow this standard very closely so that servos often respond to values between 700 and 2300. 
Feel free to use the "servo.writeMicroseconds(uS)" instruction to increase these endpoints until the servo no longer continues to increase its range.
*/

#include <Servo.h> 
 
Servo Servo_D11;  // create servo object to control a servo 
Servo Servo_D12;  // create servo object to control a servo 
                // twelve servo objects can be created on most boards
 
int pos = 0;    // variable to store the servo position 
 
void setup() 
{ 
  Servo_D11.attach(11);  // attaches the servo on pin 11 to the servo object 
  Servo_D12.attach(12);  // attaches the servo on pin 12 to the servo object 
} 
 
void loop() 
{ 
  for(pos = 0; pos <= 180; pos++) // goes from 0 degrees to 180 degrees 
  {                                  // in steps of 1 degree 
    Servo_D11.write(pos);              // tell servo to go to position in variable 'pos' 
    Servo_D12.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
  for(pos = 180; pos>=0; pos--)     // goes from 180 degrees to 0 degrees 
  {                                
    Servo_D11.write(pos);              // tell servo to go to position in variable 'pos' 
    Servo_D12.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
} 
